/* Angelehnt an Kurose/Ross Computernetzwerke (bis 5e Java, ab 6e Python) */

package socket;

import java.io.*;
import java.net.*;

class Client1 {
	public static void main(String args[]) throws Exception {
		String hostname = "localhost";
		int port = 36037;

		BufferedReader inFromUser = new BufferedReader(new InputStreamReader(System.in));
		DatagramSocket clientSocket = new DatagramSocket();

		InetAddress serverAddress = InetAddress.getByName(hostname);
		byte[] sendData = new byte[1024];
		byte[] receiveData = new byte[1024];
		String message;
		String modifiedMessage;

		while (true)
		{
			System.out.print("Nachricht an Server1: ");
			message = inFromUser.readLine();

			sendData = message.getBytes();
			DatagramPacket sendPacket = new DatagramPacket(sendData, sendData.length, serverAddress, port);
			clientSocket.send(sendPacket);

			if (message.equals("exit")) {
				break;
			}			
			
			DatagramPacket receivePacket = new DatagramPacket(receiveData, receiveData.length);
			clientSocket.receive(receivePacket);
	
			modifiedMessage = new String(receivePacket.getData());
			System.out.println("Antwort von Server1: " + modifiedMessage);
		}
		clientSocket.close();
	}
}
