/* Angelehnt an Kurose/Ross Computernetzwerke (bis 5e Java, ab 6e Python) */

package socket;

import java.io.*;
import java.net.*;

class Client2 {
	public static void main(String argv[]) throws Exception {
		String hostname = "localhost";
		int port = 36037;

		BufferedReader inFromUser = new BufferedReader(new InputStreamReader(System.in));
		Socket clientSocket = new Socket(hostname, port);

		DataOutputStream outToServer = new DataOutputStream(clientSocket.getOutputStream());
		BufferedReader inFromServer = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));
		String message;
		String modifiedMessage;

		while (true)
		{
			System.out.print("Nachricht an Server2: ");
			message = inFromUser.readLine();
	
			outToServer.writeBytes(message + '\n');
			
			if (message.equals("exit")) {
				break;
			}			
			
			modifiedMessage = inFromServer.readLine();
			System.out.println("Antwort von Server2: " + modifiedMessage);
		}
		clientSocket.close();
	}
}
